Subject: bug#72160: 29.3; package buglet

From: Philip Kaludercic <[email-masked]>
Date: Sun, 21 Jul 2024 10:59:49 +0000

Devon Sean McCullough <[email-masked]> writes:

> Strings and symbols should be equally acceptable package designators.
>
> (use-package 'xr) ; (wrong-type-argument symbolp 'xr)
> Should work like (use-package "xr")
>
> (package-install "xr") ; (error "Package ‘xr’ is unavailable")
> Should work like (package-install 'xr)
> instead of erring with that awfully misleading error message.

We can improve on that error message, but is there any use-case for
denoting a package by a string?

> 		Peace
> 			--Devon
>
> In GNU Emacs 29.3 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60
>  Version 10.14.6 (Build 18G9323)) of 2024-03-24 built on
>  builder10-14.lan
> Windowing system distributor 'Apple', version 10.3.1671
> System Description:  Mac OS X 10.14.6
>
> Configured using:
>  'configure --with-ns '--enable-locallisppath=/Library/Application
>  Support/Emacs/${version}/site-lisp:/Library/Application
>  Support/Emacs/site-lisp' --with-modules 'CFLAGS=-DFD_SETSIZE=10000
>  -DDARWIN_UNLIMITED_SELECT' --with-x-toolkit=no'
>
> Configured features:
> ACL GLIB GMP GNUTLS JPEG JSON LIBXML2 MODULES NOTIFY KQUEUE NS PDUMPER
> PNG RSVG SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER ZLIB
>
> Important settings:
>   value of $LC_CTYPE: UTF-8
>   value of $LANG: C
>   locale-coding-system: utf-8-unix
>
> Major mode: Lisp Interaction
>
> Minor modes in effect:
>   sly-symbol-completion-mode: t
>   tooltip-mode: t
>   global-eldoc-mode: t
>   eldoc-mode: t
>   show-paren-mode: t
>   electric-indent-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   line-number-mode: t
>   indent-tabs-mode: t
>   transient-mark-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort mail-extr emacsbug message yank-media puny dired
> dired-loaddefs rfc822 mml mml-sec epa derived epg rfc6068 epg-config
> gnus-util text-property-search time-date mm-decode mm-bodies mm-encode
> mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
> rfc2045 ietf-drums mm-util mail-prsvr mail-utils easy-mmode
> sly-completion sly-buttons sly-messages sly-common apropos etags
> fileloop generator xref project arc-mode archive-mode comint ansi-osc
> ansi-color ring hyperspec thingatpt chatgpt-shell-autoloads
> csv-mode-autoloads dir-treeview-autoloads dired-subtree-autoloads
> dired-hacks-utils-autoloads dash-autoloads dismal-autoloads
> elpy-autoloads google-translate-autoloads
> highlight-indentation-autoloads haskell-mode-autoloads company-autoloads
> flycheck-autoloads mmm-mode-autoloads paren-face-autoloads
> popup-autoloads python-mode-autoloads pyvenv-autoloads
> realgud-lldb-autoloads realgud-autoloads realgud-recursive-autoloads
> loc-changes-autoloads load-relative-autoloads recover-buffers-autoloads
> s-autoloads shell-maker-autoloads slime-autoloads macrostep-autoloads
> compat-autoloads info sly-autoloads test-simple-autoloads
> treeview-autoloads undo-tree-autoloads queue-autoloads vcard-autoloads
> web-mode-autoloads xbm-life-autoloads xr-autoloads yascroll-autoloads
> yasnippet-autoloads warnings cl-extra use-package-core help-fns
> radix-tree cl-print debug backtrace help-mode find-func cus-edit pp
> cus-start cus-load icons wid-edit finder-inf package browse-url url
> url-proxy url-privacy url-expand url-methods url-history url-cookie
> generate-lisp-file url-domsuf url-util mailcap url-handlers url-parse
> auth-source cl-seq eieio eieio-core cl-macs password-cache json subr-x
> map byte-opt gv bytecomp byte-compile url-vars cl-loaddefs cl-lib rmc
> iso-transl tooltip cconv eldoc paren electric uniquify ediff-hook
> vc-hooks lisp-float-type elisp-mode mwheel term/ns-win ns-win
> ucs-normalize mule-util term/common-win tool-bar dnd fontset image
> regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
> prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
> timer select scroll-bar mouse jit-lock font-lock syntax font-core
> term/tty-colors frame minibuffer nadvice seq simple cl-generic
> indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
> tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
> romanian slovak czech european ethiopic indian cyrillic chinese
> composite emoji-zwj charscript charprop case-table epa-hook
> jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
> theme-loaddefs faces cus-face macroexp files window text-properties
> overlay sha1 md5 base64 format env code-pages mule custom widget keymap
> hashtable-print-readable backquote threads kqueue cocoa ns multi-tty
> make-network-process emacs)
>
> Memory information:
> ((conses 16 134157 9903)
>  (symbols 48 13597 0)
>  (strings 32 50442 1886)
>  (string-bytes 1 1393046)
>  (vectors 16 27275)
>  (vector-slots 8 602587 11416)
>  (floats 8 55 50)
>  (intervals 56 445 0)
>  (buffers 984 13))
>
>
>
>

-- 
	Philip Kaludercic on peregrine